Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006113 [JEDI VCL] 00 JVCL Components major always 2013-04-01 20:32 2013-12-13 12:17
Reporter alquimista View Status public  
Assigned To obones
Priority normal Resolution unable to reproduce  
Status resolved   Product Version 3.47
Summary 0006113: JvInterpreter error in evaluate 12345678900000/1000000
Description There is a error when calc 12345678900000/1000000 =1234.56789 (error)
same result for 1234567890/1000000=1234.56789 (good)
                12345678900/1000000=1234.56789 (bad)
                123456789000/1000000=1234.56789 (bad)

Try in JvInterpretertest
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020457)
alquimista (reporter)
2013-04-02 00:02

case TTyp of
    ttInteger:
      begin
        Val(FTokenStr, Int, Stub);
//Here, val--> 1234567890000 convert to int=1234567890, stub=11
        FToken := Int;
      end;
(0020809)
obones (administrator)
2013-12-13 12:17

This appears to be already fixed in the GIT repository, I could not reproduce

- Issue History
Date Modified Username Field Change
2013-04-01 20:32 alquimista New Issue
2013-04-02 00:02 alquimista Note Added: 0020457
2013-12-13 10:49 obones Status new => acknowledged
2013-12-13 12:17 obones Note Added: 0020809
2013-12-13 12:17 obones Status acknowledged => resolved
2013-12-13 12:17 obones Resolution open => unable to reproduce
2013-12-13 12:17 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker